Subject: bug#66637: 29.1; Emacs crashes with activating tree-sitter modes

From: Kristjon Ciko <[email-masked]>
Date: Fri, 20 Oct 2023 11:42:40 +0000

Yeah, I do use exec-path-from-shell in my config. The problem went away with the binary from https://emacsforosx.com/
________________________________________
From: Gerd Möllmann <[email-masked]>
Sent: Friday, October 20, 2023 1:33 PM
To: Kristjon Ciko
Cc: Eli Zaretskii; [email-masked]
Subject: Re: bug#66637: 29.1; Emacs crashes with activating tree-sitter modes

Kristjon Ciko <[email-masked]> writes:

> It seems like this is a MacOS-specific issue; more precisely, a MacOS Sonoma-specific since I did not have this problem before the upgrade.
>
> I reinstalled Emacs using `sudo port install emacs-app` and I found
> out that the issue occurs **ONLY** when Emacs (vanilla Emacs, no
> config files involved) is launched from the Spotlight search, which
> points to /Applications/MacPorts/Emacs.app.  Everything works just
> fine if I run emacs from the terminal (`which emacs` =>
> /Applications/MacPorts/Emacs.app/Contents/MacOS/emacs)
>
> Same case with my own config; launching it from terminal seems the way to go.

Have you make sure that Emacs, when started via Spotlight for instance,
has the same environment variables that you have in the shell (PATH for
example)? It doesn't if you don't do something, like using the
exec-path-from-shell package.